File - Finalize File Uploads
Finalize file uploads to an entity's profile.
POST https://titleId.playfabapi.com/File/FinalizeFileUploads
Request Header
| Name | Required | Type | Description |
|---|---|---|---|
| X-EntityToken | True |
string |
This API requires an Entity Session Token, available from the Entity GetEntityToken method. |
Request Body
| Name | Required | Type | Description |
|---|---|---|---|
| Entity | True |
The entity to perform this action on. |
|
| FileNames | True |
string[] |
Names of the files to be finalized. Restricted to a-Z, 0-9, '(', ')', '_', '-' and '.' |
| ProfileVersion | True |
number |
Field used for concurrency control. By specifying the previously returned ProfileVersion value from the InitiateFileUploads API, you can ensure that the file upload finalization is performed only if the profile has not been updated since you last loaded that version. If the profile for the same entity has been updated, the operation will fail with an EntityProfileVersionMismatch error. The conflicting update can be caused by any operation that modifies the entity profile, including SetObjects, FinalizeFileUploads, and UpdateStatistics. |
| CustomTags |
object |
The optional custom tags associated with the request (e.g. build number, external trace identifiers, etc.). |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK | ||
| 400 Bad Request |
This is the outer wrapper for all responses with errors |
Security
X-EntityToken
This API requires an Entity Session Token, available from the Entity GetEntityToken method.
Type:
apiKey
In:
header
Definitions
| Name | Description |
|---|---|
|
Api |
The basic wrapper around every failed API response |
|
Entity |
Combined entity type and ID structure which uniquely identifies a single entity. |
|
Finalize |
Finalizes the upload of the requested files. Verifies that the files have been successfully uploaded and moves the file pointers from pending to live. |
|
Finalize |
|
|
Get |
ApiErrorWrapper
The basic wrapper around every failed API response
| Name | Type | Description |
|---|---|---|
| code |
integer |
Numerical HTTP code |
| error |
string |
Playfab error code |
| errorCode |
integer |
Numerical PlayFab error code |
| errorDetails |
object |
Detailed description of individual issues with the request object |
| errorMessage |
string |
Description for the PlayFab errorCode |
| status |
string |
String HTTP code |
EntityKey
Combined entity type and ID structure which uniquely identifies a single entity.
| Name | Type | Description |
|---|---|---|
| Id |
string |
Unique ID of the entity. |
| Type |
string |
Entity type. See https://docs.microsoft.com/gaming/playfab/features/data/entities/available-built-in-entity-types |
FinalizeFileUploadsRequest
Finalizes the upload of the requested files. Verifies that the files have been successfully uploaded and moves the file pointers from pending to live.
| Name | Type | Description |
|---|---|---|
| CustomTags |
object |
The optional custom tags associated with the request (e.g. build number, external trace identifiers, etc.). |
| Entity |
The entity to perform this action on. |
|
| FileNames |
string[] |
Names of the files to be finalized. Restricted to a-Z, 0-9, '(', ')', '_', '-' and '.' |
| ProfileVersion |
number |
Field used for concurrency control. By specifying the previously returned ProfileVersion value from the InitiateFileUploads API, you can ensure that the file upload finalization is performed only if the profile has not been updated since you last loaded that version. If the profile for the same entity has been updated, the operation will fail with an EntityProfileVersionMismatch error. The conflicting update can be caused by any operation that modifies the entity profile, including SetObjects, FinalizeFileUploads, and UpdateStatistics. |
FinalizeFileUploadsResponse
| Name | Type | Description |
|---|---|---|
| Entity |
The entity id and type. |
|
| Metadata |
Collection of metadata for the entity's files |
|
| ProfileVersion |
number |
The current version of the profile, can be used for concurrency control during updates. |
GetFileMetadata
| Name | Type | Description |
|---|---|---|
| Checksum |
string |
Checksum value for the file, can be used to check if the file on the server has changed. |
| DownloadUrl |
string |
Download URL where the file can be retrieved |
| FileName |
string |
Name of the file |
| LastModified |
string |
Last UTC time the file was modified |
| Size |
number |
Storage service's reported byte count |
Error Codes
| Name | Code |
|---|---|
| FileNotFound | 1045 |
| NoEntityFileOperationPending | 1351 |